Skip to main content
GET
/
api
/
v2
/
alpha
/
tokens
/
{tokenAddress}
/
call-context
cURL
curl --request GET \
  --url https://api.shuriken.trade/api/v2/alpha/tokens/{tokenAddress}/call-context \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "hasMore": true,
    "signals": [
      {
        "isBot": true,
        "platform": "<string>",
        "signalId": "<string>",
        "timestampMs": 123,
        "caller": {
          "avatarUrl": "<string>",
          "displayName": "<string>",
          "username": "<string>",
          "verified": true
        },
        "contextMessages": [
          {
            "offset": 123,
            "text": "<string>",
            "timestampMs": 123,
            "author": "<string>"
          }
        ],
        "liquidityUsd": 123,
        "marketCapUsd": 123,
        "messagePreview": "<string>",
        "priceUsd": 123,
        "source": {
          "channelId": "<string>",
          "channelName": "<string>",
          "guildId": "<string>",
          "messageId": "<string>",
          "serverName": "<string>",
          "topicId": 123,
          "topicTitle": "<string>",
          "tweetId": "<string>"
        },
        "tradeData": {
          "amountNative": "<string>",
          "amountUsd": "<string>",
          "isBuy": true,
          "txSignature": "<string>",
          "walletAddress": "<string>"
        }
      }
    ],
    "tokenAddress": "<string>",
    "totalSignals": 123,
    "nextCursor": 123
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

tokenAddress
string
required

Token address (mint for SVM, contract for EVM)

Query Parameters

limit
integer<int32>

Maximum signals to return (default: 20, max: 50)

Required range: x >= 0
cursor
integer<int64>

Pagination cursor from previous response

sourceFilter
string

CSV filter by source type: discord,telegram,x,trade

includeBotSignals
boolean

Include bot-generated signals

includeMessageContext
boolean

Include message preview and context

Response

Token call context signals

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)